Bug 31066 - Can't use regex in batch modification on fields associated with a plugin
Summary: Can't use regex in batch modification on fields associated with a plugin
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords: regression
Depends on: 28445
Blocks:
  Show dependency treegraph
 
Reported: 2022-06-29 11:23 UTC by Nick Clemens
Modified: 2022-08-17 21:48 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.04, 21.11.11


Attachments
Bug 31066: Update javascript to use 'text_plugin' type for regex option (1.61 KB, patch)
2022-06-29 11:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 31066: Update javascript to use 'text_plugin' type for regex option (1.66 KB, patch)
2022-06-29 19:07 UTC, David Nind
Details | Diff | Splinter Review
Bug 31066: Update javascript to use 'text_plugin' type for regex option (1.72 KB, patch)
2022-07-02 22:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2022-06-29 11:23:15 UTC
This was fixed by bug 27929 and then broken by bug 28445 which changed the type for fields associated with a plugin from text2 to text_plugin
Comment 1 Nick Clemens 2022-06-29 11:26:53 UTC
Created attachment 136710 [details] [review]
Bug 31066: Update javascript to use 'text_plugin' type for regex option

To test:
 1 - Confirm 952$o is not linked to a plugin in the default marc framework
 2 - Send some tiems to batch modification
 3 - Confirm you can select RegEx as an option for callnumber during modification
 4 - Link 952$o to the cn_browser.pl plugin
 5 - Repeat batch modification
 6 - Note there is no regex option
 7 - Apply patch
 8 - Confirm there is a regex option
 9 - Unlink 952$o from plugin
10 - Confirm you still have a regex option in batch modification
Comment 2 David Nind 2022-06-29 19:07:04 UTC
Created attachment 136749 [details] [review]
Bug 31066: Update javascript to use 'text_plugin' type for regex option

To test:
 1 - Confirm 952$o is not linked to a plugin in the default marc framework
 2 - Send some tiems to batch modification
 3 - Confirm you can select RegEx as an option for callnumber during modification
 4 - Link 952$o to the cn_browser.pl plugin
 5 - Repeat batch modification
 6 - Note there is no regex option
 7 - Apply patch
 8 - Confirm there is a regex option
 9 - Unlink 952$o from plugin
10 - Confirm you still have a regex option in batch modification

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2022-07-02 22:18:00 UTC
Created attachment 137044 [details] [review]
Bug 31066: Update javascript to use 'text_plugin' type for regex option

To test:
 1 - Confirm 952$o is not linked to a plugin in the default marc framework
 2 - Send some tiems to batch modification
 3 - Confirm you can select RegEx as an option for callnumber during modification
 4 - Link 952$o to the cn_browser.pl plugin
 5 - Repeat batch modification
 6 - Note there is no regex option
 7 - Apply patch
 8 - Confirm there is a regex option
 9 - Unlink 952$o from plugin
10 - Confirm you still have a regex option in batch modification

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2022-07-05 12:23:46 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Lucas Gass 2022-08-09 22:11:01 UTC
Backported to 22.05.x for 22.05.04
Comment 6 Arthur Suzuki 2022-08-12 07:46:54 UTC
pushed to 21.11.x for 21.11.11
Comment 7 Victor Grousset/tuxayo 2022-08-17 21:48:38 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document, marking resolved.